package io.gmss.fiscad.paylaods.response;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalDate;

public interface DonneesImpositionTfuResponse {

    Long getId();
    Long getAnnee();

    String getCodeDepartement();
    String getNomDepartement();

    String getCodeCommune();
    String getNomCommune();

    String getCodeArrondissement();
    String getNomArrondissement();

    String getCodeQuartierVillage();
    String getNomQuartierVillage();

    String getQ();
    String getIlot();
    String getParcelle();
    String getNup();
    String getNupProvisoire();
    String getTitreFoncier();

    String getNumBatiment();
    String getNumUniteLogement();

    String getIfu();
    String getNpi();
    String getTelProp();
    String getEmailProp();
    String getNomProp();
    String getPrenomProp();
    String getRaisonSociale();
    String getAdresseProp();

    String getTelSc();
    String getEmailSc();
    String getNomSc();
    String getPrenomSc();
    String getAdresseSc();

    String getLongitude();
    String getLatitude();

    int getSuperficieParc();
    Long getSuperficieAuSolBat();
    Long getSuperficieAuSolUlog();

    String getBatieOuiNon();
    String getExhonereOuiNon();
    String getBatimentExhonereOuiNon();
    String getUniteLogementExhonereOuiNon();

    Long getValeurLocativeAdm();
    Long getMontantLoyerAnnuel();

    Long getTfuMetreCarre();
    Long getTfuMinimum();

    String getStandingBat();
    String getCategorieBat();

    Long getNombrePiscine();
    Long getNombreUlog();
    Long getNombreBat();

    @JsonFormat(pattern = "dd-MM-yyyy")
    LocalDate getDateEnquete();

    Long getEnqueteId();
    Long getStructureId();
    Long getSecteurId();
    Long getZoneRfuId();
}
